=== debian/changelog ===
xmorph (1:20011220) unstable; urgency=low

  * changed '"morphing."' to '"morphing".' (Closes: #110463)
  * changed '(x110' to '(x11)' (Closes: #119761)
  * I am implementing new features, which are too buggy,
  so I have disabled them in this bug-fixing release
  * debhelper was installing info a second time  (closes: #120120)
  
 -- Andrea Mennucc <debian@Tonelli.sns.it>  Fri,  4 Jan 2002 12:26:04 +0100

xmorph (1:20011113) unstable; urgency=low

  * Branden Robinson had not really corrected 119005, but J Troup has
  given me the magical solution (Closes: #119005)
  (wow isnt this the real Debian spirit?)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Wed, 14 Nov 2001 15:40:05 +0100

xmorph (1:20011112) unstable; urgency=medium
  
  * the following changelog and patch comes from
  Branden Robinson <branden@debian.org>  Thu,  8 Nov 2001 16:56:36 -0500
  * NMU to fix build-failures
  * gtkmorph/Makefile.am: add @GDK_PIXBUF_CFLAGS@ to INCLUDES
  * debian/control:
    - corrected bad Build-Dependency (Closes: #119005)
    - add versioning of 1.1.17 to Build-Dep on debhelper
    - fix up poor grammar and other errors in package descriptions 
          [AM: isn't he such a nice guy?]
    - fix duplicate and missing package relationships (probably caused by
      ignorance of proper dh_shlibdeps usage)
  * debian/docs: don't ship COPYING or INSTALL documents
  * debian/postrm moved to debian/prerm (where install-info should be run)
  * debian/{postinst,prerm,libmorph.postinst}: include #DEBHELPER# tokens
  * debian/rules:
    - removed invocation of dh_testversion
    - use dh_shlibdeps properly for this shared-library-containing package
    - removed useless invocation of dh_suidregister
  * re-ran aclocal; automake; autoconf against modern libgdk-pixbuf-dev so
    this package would know where to find that library's headers
  * package now lintian-clean

 -- A Mennucc1 <debian@Tonelli.sns.it>  Tue, 13 Nov 2001 17:42:01 +0100

xmorph (1:20011109) unstable; urgency=low

  * again run libtoolize to get support for new architectures.  
    (closes: #103372)
  *  libgtk-dev is a real package, not a virtual one; I want
    libgtk1.2-dev instead. (closes: #115414)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri,  9 Nov 2001 14:16:14 +0100
  

xmorph (1:20011010) unstable; urgency=low

  * clean up the CVS, some minor adjustments, better build deps,
    uses newer libtool and autoconf and automake

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri, 12 Oct 2001 14:11:22 +0200

xmorph (1:20010421-4) unstable; urgency=low

  * more italian translation
  * this bimbo now compiles with i386-cygwin-gcc (without-x)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Wed, 15 Aug 2001 10:56:13 +0200

xmorph (1:20010421-3) unstable; urgency=low

  * build-depends on gettext (closes: #104389)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Wed, 18 Jul 2001 16:59:24 +0200

xmorph (1:20010421-2.1) unstable; urgency=low
  * Non-maintainer upload.
  * Run libtoolize to get support for new architectures.  Closes: #103372

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

xmorph (1:20010421-2) unstable; urgency=low

  * there was a leftover include for gdk-imlib (closes: #98911) 

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri,  1 Jun 2001 20:11:30 +0200

xmorph (1:20010421-0) unstable; urgency=low

  * dpkg-source flops when cwd is a sym link! (closes: #97866)
  * note that, since aug 2000, xmorph is native debian (read the README)
  * I took the test/ dir out of the tar.gz ... I will put it back when
    I document it a bit

 -- A Mennucc1 <debian@tonelli.sns.it>  Fri, 18 May 2001 10:38:56 +0200

xmorph (1:20010421) unstable; urgency=low

  * gtkmorph: right mouse button brings up a menu: add & delete mesh lines;
     moreover there is a "movie" option that builds gif movies
     (needs imagemagick) or mpeg movies (needs ucbmpeg)
  * libmorph: changes for the above (line adding didnt preserve labels)
    and for locale problems in read/save of meshes (in italian
    the , separates decimals, not the .)
  
 -- A Mennucc1 <debian@Tonelli.sns.it>  Tue, 24 Apr 2001 16:59:39 +0200

xmorph (1:20010220-2) unstable; urgency=low

  * many changes in gtkmorph (but some parts are still unfinished)
  * added build depends, (closes: #88211)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Thu, 19 Apr 2001 20:34:17 +0200

xmorph (1:20010220) unstable; urgency=low

  * New Upstream Release. New mantainer.

 -- A Mennucci <debian@Tonelli.sns.it>  Thu, 22 Feb 2001 18:50:20 +0100

xmorph (1:20000428-1) unstable; urgency=low

  * New upstream release. (closes: #25108)
  * This version includes a fix to compile on Linux with libc6.
    (closes: #33063, #38955)
  * Maintainer set to Debian QA Group.
  * Remove "tags" and "Makefile.bak" in the clean target.
  * Corrected the priority entry in debian/control.
  * Added "-isp" to dpkg-gencontrol.
  * Added Build-Depends.
  * Standards-Version: 3.1.1
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 14 Sep 2000 23:36:07 +0200

xmorph (1:17nov97-2) unstable; urgency=low

  * NMU.
  * Package now builds on potato system. (closes: #38955)
  * Updated menu file.

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 25 Jul 1999 20:42:04 +0200

xmorph (1:17nov97-1) unstable; urgency=low

  * Verified compliance with Debian policy 2.4.0.0 and updated control file
    accordingly
  * New upstream release

 -- Larry Gilbert <irving@pobox.com>  Mon, 16 Feb 1998 20:09:41 -0800

xmorph (1:11sep97-2) unstable; urgency=low

  * Architecture in control file changed to "any" (bug report #13626 by James
    Troup)

 -- Larry Gilbert <irving@pobox.com>  Mon,  6 Oct 1997 08:31:05 -0700

xmorph (1:11sep97-1) unstable; urgency=low

  * Compiled using xlib6g-dev in an attempt to fix lingering libc5 dependency
    discovered by Enrique Zanardi (bug report #13007)
  * Fixed bad man page permissions spotted by Joey Hess (bug report #13027)

