=== debian/control ===
Source: xmorph
Section: graphics
Build-Depends: gettext, libtool, autoconf, automake, debhelper (>= 1.1.17), xlibs-dev, libxaw7-dev, xutils, groff, texinfo, bsdmainutils, libgdk-pixbuf-dev, libgtk1.2-dev
Priority: optional
Maintainer: Andrea Mennucc <debian@Tonelli.sns.it>
Standards-Version: 3.5.6

Package: xmorph
Architecture: any
Depends: ${shlibs:Depends}
Suggests: imagemagick | netpbm | gimp
Priority: optional
Section: graphics
Description:  digital image warper (x11)
 Xmorph loads, saves, warps, and dissolves images, and loads, saves, creates,
 and manipulates control meshes which determine the warping.  The technique
 was invented and first used by Industrial Light and Magic, and is commonly
 called "morphing".
 .
 Xmorph uses the Targa image format exclusively.  Other software is needed to
 convert to other image formats or to movies.  (Due to a bug, Xmorph's images
 are unreadable by John Bradley's XV.)
 .
 xmorph is a GUI for libmorph, using the X Toolkit; the package also contains
 a text-only program called morph.

Package: libmorph
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Section: libs
Description: digital image warping library
 libmorph warps images.  The technique was invented and first used by
 Industrial Light and Magic, and is commonly called "morphing."

Package: libmorph-dev
Architecture: any
Depends: libmorph (= ${Source-Version})
Priority: optional
Section: devel
Description: Digital image warping library development files
 This package contains header files for, and a static version of, the libmorph
 library.

Package: gtkmorph
Architecture: any
Depends:  ${shlibs:Depends}
Suggests: imagemagick
Priority: optional
Section: graphics
Description:  Digital image warper (gtk)
 gtkmorph loads, saves, warps, and dissolves images, and loads, saves,
 creates, and manipulates control meshes which determine the warping.  It has
 support for making movies automatically (it needs extra packages).  The
 technique was invented and first used by Industrial Light and Magic, and is
 commonly called "morphing."
 .
 gtkmorph is a GUI for libmorph, using GTK; it is not completely finished but
 it is usable.
